# xarray.DataArray.combine_first

`DataArray.``combine_first`(other)

  Combine two DataArray objects, with union of coordinates.

  This operation follows the normal broadcasting and alignment rules of `join='outer'`. Default to non-null values of array calling the method. Use np.nan to fill in vacant cells after alignment.

  Parameters:

  other : DataArray

  > Used to fill all matching missing values in this array.

  Returns: | DataArray